%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pulsecaster
Version:        0.1.8.1
Release:        3%{?dist}
Summary:        A PulseAudio-based podcast recorder

Group:          Development/Languages
License:        GPLv3+
URL:            http://fedorahosted.org/pulsecaster
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
# Fixed upstream: changeset 611fad9014e19bc53b7896ec016af9b847aeb482
Patch0:         desktop-icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
BuildRequires:  desktop-file-utils

Requires:       pulseaudio-libs >= 0.9.15
Requires:       pygtk2 >= 2.14
Requires:       dbus-python >= 0.83
Requires:	gstreamer-python >= 0.10
Requires:	gnome-python2-libegg
Requires:	gnome-python2-gconf

%description
PulseCaster is a simple PulseAudio-based tool for making podcast
interviews. It is designed for ease of use and simplicity. The user
makes a call with a preferred PulseAudio-compatible Voice-over-IP
(VoIP) softphone application such as Ekiga or Twinkle, and then starts
PulseCaster to record the conversation to a multimedia file. The
resulting file can be published as a podcast or distributed in other
ways.

%prep
%setup -q
%patch0 -p1 -b .desktop-icon


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{name}.desktop

 
%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sat Mar 26 2011 Paul W. Frields <stickster@gmail.com> - 0.1.8.1-3
- Fix missing Requires (#689295)

* Sat Mar 26 2011 Paul W. Frields <stickster@gmail.com> - 0.1.8.1-2
- Fix icon setting in .desktop file (#689419)

* Wed Mar 16 2011 Paul W. Frields <stickster@gmail.com> - 0.1.8.1-1
- Update to upstream 0.1.8.1

* Wed Mar 16 2011 Paul W. Frields <stickster@gmail.com> - 0.1.8-1
- Update to upstream 0.1.8

* Sun Jan 16 2011 Paul W. Frields <stickster@gmail.com> - 0.1.7-2
- Fix missing package requirement (#669913)

* Sun Dec 19 2010 Paul W. Frields <stickster@gmail.com> - 0.1.7-1
- Update to upstream 0.1.7
- Fix scriptlets to update icon cache

* Fri Jul 30 2010 Paul W. Frields <stickster@gmail.com> - 0.1.6-3
- Bump release for Python 2.7 rebuild

* Thu Jun 10 2010 Paul W. Frields <stickster@gmail.com> - 0.1.6-2
- Fix missing dependency (#602593)

* Thu May  6 2010 Paul W. Frields <stickster@gmail.com> - 0.1.6-1
- New upstream 0.1.6

* Wed Mar 31 2010 Paul W. Frields <stickster@gmail.com> - 0.1.5-1
- New upstream 0.1.5, fixes desktop entry file

* Sat Feb 20 2010 Paul W. Frields <stickster@gmail.com> - 0.1.4-1
- Initial RPM release

